#!/bin/bash

pfad=/daten/Dokumente

# Unterverzeichniss erstellen
mkdir -p $pfad/A-Z
mkdir -p $pfad/datum
mkdir -p $pfad/alles

for datei in `ls $pfad/neu/`;
do


# datum auseinander nehmen
datum=`echo $datei | cut -d '-' -f1 `
tag=`echo $datum|cut -d '_' -f1 `
monat=`echo $datum|cut -d '_' -f2 `
jahr=`echo $datum|cut -d '_' -f3 `
mkdir -p $pfad/datum/$jahr/$monat/$tag

# absender ermitteln
wer=`echo $datei| cut -d '-' -f2`
mkdir -p $pfad/A-Z/$wer

mv $pfad/neu/$datei $pfad/alles/$datei
ln -s $pfad/alles/$datei $pfad/A-Z/$wer/$datei
ln -s $pfad/alles/$datei $pfad/datum/$jahr/$monat/$tag/$datei

done
